This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 194423 - Segmentation fault on deeply nested while loops
Segmentation fault on deeply nested while loops
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gcc4 (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-07 18:57 EDT by Søren Sandmann Pedersen
Modified: 2014-06-18 05:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-14 07:36:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The program (408.95 KB, text/x-csrc)
2006-06-07 18:57 EDT, Søren Sandmann Pedersen
no flags Details

  None (edit)
Description Søren Sandmann Pedersen 2006-06-07 18:57:09 EDT
The soon-to-be-attached program causes gcc to segfault on my system.

"rpm -q gcc" says "gcc-4.1.0-3".
Comment 1 Søren Sandmann Pedersen 2006-06-07 18:57:09 EDT
Created attachment 130714 [details]
The program
Comment 2 Søren Sandmann Pedersen 2006-06-07 19:05:14 EDT
I do realize that nesting loops more 32000 levels deep is unusual, but believe
it or not, I didn't actually write this program deliberately to crash the compiler.

I'm not sure if it's worth worrying about it at all.

Note You need to log in before you can comment on or make changes to this bug.